pylabrobot.molecular_devices.spectramax.SpectraMax384Plus#

class pylabrobot.molecular_devices.spectramax.SpectraMax384Plus(name: str, port: str)#

Bases: MolecularDevicesPlateReader

Molecular Devices SpectraMax 384 Plus plate reader. Absorbance only.

Overrides _set_readtype (simpler CUV/PLA), and no-ops _set_nvram / _set_tag.

Attributes

Methods

__init__(name, port)

clear_error_log()

Clear the device error log.

close()

Close the plate tray.

deactivate()

open()

Open the plate tray.

read_absorbance(plate, wells, wavelength[, ...])

Read absorbance.

read_error_log()

Read the device error log.

request_current_temperature()

request_firmware_version()

Get the firmware version.

request_status()

Get the current device status.

request_temperature()

Get (current_temp, set_point) from the device.

send_command(command[, timeout, num_res_fields])

Send a command and receive the response, automatically determining the number of response fields.

set_temperature(temperature)

setup()

start_shake()

Start shaking.

stop()

stop_shake()

Stop shaking.

wait_for_idle([timeout])

Wait for the plate reader to become idle.

Parameters: